unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, MRVType, MRVReceiver, MRVSender,
  Vcl.StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    RVCamSenderCom: TRVCamSender;
    RVCamReceiverCom: TRVCamReceiver;
    Button2: TButton;
    Edit1: TEdit;
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

ServerWANIP, RegistrationCode, LauncherGUID : string;
ServerCMDPort : word;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
ServerWANIP := Edit1.Text;
//   RVMedia:
RVCamSenderCom.ReceiverHost := ServerWANIP;
RVCamSenderCom.ReceiverPort := ServerCMDPort;
RVCamSenderCom.GUIDFrom := LauncherGUID;

RVCamReceiverCom.Senders.Add;
RVCamReceiverCom.Senders[0].SenderHost := ServerWANIP;
RVCamReceiverCom.Senders[0].SenderPort := ServerCMDPort;
RVCamReceiverCom.GUIDMy := LauncherGUID;
//    RVMedia.
RVCamSenderCom.Active := true;
RVCamReceiverCom.Active := true;
Memo1.Lines.Add(' ');
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
RVCamSenderCom.Active := false;
RVCamReceiverCom.Active := false;
Memo1.Lines.Add(' ');
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
//   RVMedia:
RVCamSenderCom.Active := false;
RVCamReceiverCom.Active := false;

RVCamSenderCom.Protocol :=rvpTCP;
RVCamReceiverCom.Protocol :=rvpTCP;
RVCamSenderCom.TCPConnectionType := rvtcpSenderToReceiver;
RVCamReceiverCom.TCPConnectionType := rvtcpReceiverToSender;
//  RVMedia .

Edit1.Text := '192.168.4.56';

ServerCMDPort := 24200;
Randomize;
RegistrationCode := IntToStr(Random(8)+1)+IntToStr(Random(8)+1)+IntToStr(Random(8)+1)+IntToStr(Random(8)+1);
LauncherGUID := '{00000000-0000-'+RegistrationCode+'-9999-000000000000}';


//   RVMedia:
RVCamSenderCom.ReceiverHost := ServerWANIP;
RVCamSenderCom.ReceiverPort := ServerCMDPort;
RVCamSenderCom.GUIDFrom := LauncherGUID;

RVCamReceiverCom.Senders.Add;
RVCamReceiverCom.Senders[0].SenderHost := ServerWANIP;
RVCamReceiverCom.Senders[0].SenderPort := ServerCMDPort;
RVCamReceiverCom.GUIDMy := LauncherGUID;
//    RVMedia.
end;

end.
